## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsSource Struct Reference
[AWS, AWS]

Interface for signal sources. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsSource:

[legend]
List of all members.

## Public Member Functions

virtual void | Broadcast (uint32 signal)=0
| Broadcasts a signal to all slots that are interested.
virtual iAwsComponent * | GetComponent ()=0
| Gets the component owner for this (sources are embedded).
virtual bool | RegisterSlot (iAwsSlot *slot, unsigned long signal)=0
| Registers a slot for any one of the signals defined by a source.
virtual bool | UnregisterSlot (iAwsSlot *slot, unsigned long signal)=0
| Unregisters a slot for a signal.

## Detailed Description

Interface for signal sources.

Definition at line 735 of file aws.h.

## Member Function Documentation

virtual void iAwsSource::Broadcast | ( | uint32 | signal | ) | `[pure virtual]`

| Broadcasts a signal to all slots that are interested. Implemented in awsEmbeddedComponent.

virtual iAwsComponent* iAwsSource::GetComponent | ( |  | ) | `[pure virtual]`

| Gets the component owner for this (sources are embedded). Implemented in awsEmbeddedComponent.

virtual bool iAwsSource::RegisterSlot | ( | iAwsSlot * | slot,
|  | unsigned long | signal
| ) | `[pure virtual]`

| Registers a slot for any one of the signals defined by a source. Each sources's signals exist in it's own namespace Implemented in awsEmbeddedComponent.

virtual bool iAwsSource::UnregisterSlot | ( | iAwsSlot * | slot,
|  | unsigned long | signal
| ) | `[pure virtual]`

| Unregisters a slot for a signal. Implemented in awsEmbeddedComponent.

The documentation for this struct was generated from the following file:

- iaws/aws.h